package com.fjhx.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.supplier.Supplier;
import com.fjhx.params.supplier.SupplierVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 供应商 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
public interface SupplierService extends BaseService<Supplier> {

    Page<Map<String, Object>> getPage(Map<String, Object> condition);

    void add(SupplierVo supplierVo);

    void edit(SupplierVo supplierVo);

    void delete(SupplierVo supplierVo);

    List<Map<String, Object>> getList(SupplierVo supplierVo);

}
